// eslint-disable-next-line @typescript-eslint/no-unused-vars
import { db } from 'api/src/lib/db'

import { hashPassword } from '@redwoodjs/auth-dbauth-api'

export default async () => {
  try {
    const admin = {
      username: 'admin',
      email: process.env.GMAIL,
      password: process.env.GMAIL_SMTP_PASSWORD,
    }

    const [hashedPassword, salt] = hashPassword(admin.password)

    await db.user.upsert({
      where: {
        email: admin.email,
      },
      create: {
        username: admin.username,
        email: admin.email,
        hashedPassword,
        salt,
      },
      update: {
        username: admin.username,
        hashedPassword,
        salt,
      },
    })
  } catch (error) {
    console.error(error)
  }
}
